> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Time Booking Keys

<Note>
  This endpoint only works if your environment has been updated to BDERest version 63.11.20 or higher. If you are unsure of your BDERest version, you can check it in the Platform under Administration > Time & Security > Status.
</Note>


## OpenAPI

````yaml GET /api/v1/time-booking-keys
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/time-booking-keys:
    get:
      tags:
        - time-controller
      operationId: getTimeBookingKeys
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TimeBookingKey'
components:
  schemas:
    TimeBookingKey:
      type: object
      properties:
        key:
          type: string
          description: Identifier of this key. Only unique within one company.
        company:
          type: string
          description: >-
            Company in which this key is present. If a key is referenced in
            multiple companies, it is included once for each company.
        description:
          type: string
        presenceEffect:
          type: string
          description: >-
            Indicates the effect this booking key has on a person's presence
            status when an active booking exists.


            - `PRESENT` Considered present (e.g. stamped in)

            - `ABSENT` Considered absent (e.g. vacation, sickness)

            - `NEUTRAL` Booking has no effect on presence status (e.g. expiry of
            remaining annual leave, night surcharge)
          enum:
            - PRESENT
            - ABSENT
            - NEUTRAL

````